<?xml version="1.0"?>
<doc>
    <assembly>
        <name>SqlCatPP</name>
    </assembly>
    <members>
        <member name="M:SqlCatPP.AdditionalParams.ObtainStr(System.String,System.String@)">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.AdditionalParams.ObtainChar(System.String,System.Char@)">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.AdditionalParams.ObtainFlag(System.String,System.Boolean@)">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.AdditionalParams.VerifyNames">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.AdditionalParams.VerifyNameSupported(System.String)">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OpFailedExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OpFailedExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.SqlPPExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.SqlPPExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OrderList.#ctor(System.String)">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OrderList.PrepareFileOrder(System.Collections.Generic.IEnumerable{System.String})">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OrderList.LoadAndSiftItems">
            <exception cref="T:System.SystemException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OrderList.GetFileDisplay(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OrderList.CreateListException(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OrderList.CreateListException(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.OrderList.RaiseListError(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OrderList.RaiseListError(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.OrderList.RaiseListError(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Program.CreateParameterError(System.Int32,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.Program.CreateParameterError(System.Int32,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.Program.CheckParameterNormality(System.String,System.Int32)">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlCatPP.Program.PrintInputItem(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.Program.PrintInputItem(System.String,System.Collections.Generic.IEnumerable{System.String})">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.Program.ProcessSingleSource(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Program.ProcessSourceFiles(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Program.ProcessSourceFolders(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Program.ProcessSourceFolder(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="P:SqlCatPP.Program.OuputScriptPath">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Program.PerformConcatenation">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlCatPP.Program.Run(System.String[])">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlCatPP.Program.GetArgumentValue(System.String[],System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.IndexOutOfRangeException" />
        </member>
        <member name="M:SqlCatPP.Program.UseAdditionalParams">
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:SqlCatPP.Program.AcceptGenFolderPath">
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.FileNameHlp.CheckFileExists(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.FileNameHlp.CheckFolderExists(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.FileNameHlp.VerifyFileExists(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.FileNameHlp.VerifyFolderExists(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.CompleteOutput(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.CompleteCurrentOutput(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.CompleteOutputEx(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.ParseSqlLine(System.String)">
            <summary>
            In-script-location analysis (shallow parse of comments and string literals in T-SQL)
            </summary>
            <remarks>
            Result fields (state flags): _IsInBlockComment_, _IsInSQStr_, _IsInDQStr_
            (This routine is not called for PP-directive lines, prefixed by colon character.)
            </remarks>
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.SqlPPException" />
        </member>
        <member name="M:SqlCatPP.Scripter.CleanGeneratedPreliminary">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.CleanGeneratedPosterior">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.HasOrderPrefix(System.String,System.Boolean@)">
            <exception cref="T:System.NullReferenceException" />
        </member>
        <member name="M:SqlCatPP.Scripter.VerifyHasScriptWriter">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.VerifyHasCurrentScriptWriter">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.VerifyHasFileNamesAndTable">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.VerifyHasGenFolderPath">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.IsNormalAsciiIdent(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:SqlCatPP.Scripter.GenFolderPath">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.#ctor">
            <excepton cref="T:SqlCatPP.OperationFailedException" />
            <excepton cref="T:System.SystemException" />
        </member>
        <member name="M:SqlCatPP.Scripter.#ctor(SqlCatPP.Scripter)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:SqlCatPP.Scripter.ProcessSourceFile(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.DoProcessSourceFile(System.String)">
            <exception cref="T:System.SystemException" />
            <exception cref="T:SqlCatPP.SqlPPException" />
            <exception cref="T:SqlCatPP.OperationFailedException" />
        </member>
        <member name="M:SqlCatPP.Scripter.IsSetVarDirectiveLine_Remember(System.String,SqlCatPP.SetVarCommentInclusion@)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.SqlPPException" />
        </member>
        <member name="M:SqlCatPP.Scripter.IsRDirectiveLine_IncludeFile(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:SqlCatPP.SqlPPException" />
            <exception cref="T:System.SystemException" />
        </member>
        <member name="M:SqlCatPP.Scripter.IncludeScript(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:SqlCatPP.Scripter.UnfoldRDirectiveBody(System.String)">
            <summary>
            R-directive body extraction (string unfolding with a glance to environment)
            </summary>
            <remarks>
            Method rerunts unfolded string result.
            (This routine is called from PP-directive line.)
            </remarks>
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:SqlCatPP.SqlPPException" />
        </member>
        <member name="M:SqlCatPP.Startup.Main(System.String[])">
            <summary>
            Application entry point
            </summary>
        </member>
        <member name="T:SqlCatPP.SqlCatPP_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
        <member name="M:CommonHelpers.HAppExitExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppExitExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAppFailureExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HAppFailureException" />
        </member>
        <member name="M:CommonHelpers.HAssertionFailureExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HAssertionFailureExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDBExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HEscapeExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HEscapeExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.GetMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.GetErrorMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.IsPackingException(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeMessage(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HException.ComposeChainedMessage(System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOpFailedExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HUnsuccessExceptionCreator.Do(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HUnsuccessException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.NotNull``1(``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.VerifyNotNull(System.Object)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HArgChecking.VerifyNotNulls(System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HBool.FromInt(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HBool.FromInt(System.Int32,System.Boolean)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Boolean,System.Exception,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HConsole.PrintError(System.Boolean,System.Exception,System.Boolean,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDirectory.TryCheckExistence(System.String,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HDispose.Free(System.IDisposable)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:CommonHelpers.HDispose.Free``1(``0@)">
            <exception cref="T:System.Exception" />
        </member>
        <member name="M:CommonHelpers.HFile.TryCheckExistence(System.String,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HFile.RemoveReadOnlyFile(System.String,System.Boolean)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.SystemException" />
            <exception cref="T:System.IO.FileNotFoundException" />
        </member>
        <member name="M:CommonHelpers.HFile.MakeFileReadOnly(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.SystemException" />
        </member>
        <member name="T:CommonHelpers.HInt32">
            <summary>
            Invariant helpers for 32-bit integer number
            </summary>
        </member>
        <member name="M:CommonHelpers.HInt32.FromString(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.FormatException" />
            <exception cref="T:System.OverflowException" />
        </member>
        <member name="M:CommonHelpers.HInt32.TryFromString(System.String,System.Int32@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HInt32.TryFromString(System.String,System.Int32@,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsOneOf``1(``0,``0[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsBetween``1(``0,``0,``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.IsExBetween``1(``0,``0,``0)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Action,System.Exception@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HOps.Try(System.Exception@,System.Action)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HPath.ContainsWildcardChar(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="P:CommonHelpers.HProgram.MainThread">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.HString.LastChar(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HString.ConvertAsText(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HString.ConvertAsText(System.String@)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HString.FormatAsText(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HTextBuilder.ConvertAsText(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HTextBuilder.ConvertAsText(System.Text.StringBuilder)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HLocal.TEXT(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HThread.Sleep(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HThread.Sleep(System.TimeSpan)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
    </members>
</doc>
